Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.afp
Enum AFPResourceLevel.ResourceType

    java.lang.Object
      java.lang.Enum<AFPResourceLevel.ResourceType>
          org.apache.fop.afp.AFPResourceLevel.ResourceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AFPResourceLevel.ResourceType>

Enclosing class:
  AFPResourceLevel

    public static enum AFPResourceLevel.ResourceType

extends java.lang.Enum<AFPResourceLevel.ResourceType>

Enum Constant Summary
`DOCUMENT` document level
`EXTERNAL` external level
`INLINE` directly in page
`PAGE` page level
`PAGE_GROUP` page group level
`PRINT_FILE` print file level

Method Summary
`java.lang.String` | `getName()`
`static AFPResourceLevel.ResourceType` | `getValueOf(java.lang.String levelString)`
`static AFPResourceLevel.ResourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AFPResourceLevel.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INLINE

    public static final AFPResourceLevel.ResourceType INLINE

  directly in page

### PAGE

    public static final AFPResourceLevel.ResourceType PAGE

  page level

### PAGE_GROUP

    public static final AFPResourceLevel.ResourceType PAGE_GROUP

  page group level

### DOCUMENT

    public static final AFPResourceLevel.ResourceType DOCUMENT

  document level

### PRINT_FILE

    public static final AFPResourceLevel.ResourceType PRINT_FILE

  print file level

### EXTERNAL

    public static final AFPResourceLevel.ResourceType EXTERNAL

  external level

Method Detail

### values

    public static AFPResourceLevel.ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AFPResourceLevel.ResourceType c : AFPResourceLevel.ResourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AFPResourceLevel.ResourceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueOf

    public static AFPResourceLevel.ResourceType getValueOf(java.lang.String levelString)

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.